Index: c/src/libnetworking/rtems_webserver/socket.c
===================================================================
--- c/src/libnetworking/rtems_webserver/socket.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ c/src/libnetworking/rtems_webserver/socket.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -210,5 +210,5 @@
 	struct sockaddr_in	addr;
 	socket_t 			*nsp;
-	size_t				len;
+	int				len;
 	int 				newSock, nid;
 
@@ -981,7 +981,6 @@
  */
 
-int DuplicateStdFile (int sid){
-  int i;
-  
+int DuplicateStdFile (int sid)
+{
   if (0 != dup2(socketList[sid]->sock, 0)  || 1 != dup2(socketList[sid]->sock, 1))
     return -1;
Index: c/src/libnetworking/rtems_webserver/webcomp.c
===================================================================
--- c/src/libnetworking/rtems_webserver/webcomp.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ c/src/libnetworking/rtems_webserver/webcomp.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -74,6 +74,6 @@
 	char_t			*cp;
 	char			buf[512];
-	unsigned char	*p;
-	int				j, i, len, fd, nFile;
+	char			*p;
+	int			j, i, len, fd, nFile;
 
 /*
@@ -160,6 +160,6 @@
 			continue;
 		}
-		fprintf(stdout, "    { T(\"/%s\"), page_%d, %d },\n", cp, nFile, 
-			sbuf.st_size);
+		fprintf(stdout, "    { T(\"/%s\"), page_%d, %ld },\n", cp, nFile, 
+			(long) sbuf.st_size);
 		nFile++;
 	}
Index: c/src/libnetworking/rtems_webserver/webmain.c
===================================================================
--- c/src/libnetworking/rtems_webserver/webmain.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ c/src/libnetworking/rtems_webserver/webmain.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -1,8 +1,10 @@
 /*
- * main.c -- Main program for the GoAhead WebServer (LINUX version)
+ * main.c -- Main program for the GoAhead WebServer (RTEMS version)
  *
  * Copyright (c) Go Ahead Software Inc., 1995-1999. All Rights Reserved.
  *
  * See the file "license.txt" for usage and redistribution license requirements
+ *
+ *  $Id$
  */
 
@@ -21,4 +23,6 @@
 #include	<sys/time.h>
 #include 	<pthread.h>
+
+#include	<rtems/error.h>
 
 /*********************************** Locals ***********************************/
@@ -64,5 +68,5 @@
 /*********************************** Code *************************************/
 /*
- *	Main -- entry point from LINUX
+ *	Main -- entry point from RTEMS
  */
 int rtems_initialize_webserver()
@@ -270,5 +274,8 @@
 void *emfCreateTimer(int delay, void (*routine)(long arg), 	long arg)
 {
+/* this variable is only used in the if'ed 0 section below */
+#if 0
 	struct sigaction	act;
+#endif
 	struct itimerspec its = { {0,0}, {0,0} };
 	struct sigevent se;
Index: cpukit/httpd/socket.c
===================================================================
--- cpukit/httpd/socket.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ cpukit/httpd/socket.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -210,5 +210,5 @@
 	struct sockaddr_in	addr;
 	socket_t 			*nsp;
-	size_t				len;
+	int				len;
 	int 				newSock, nid;
 
@@ -981,7 +981,6 @@
  */
 
-int DuplicateStdFile (int sid){
-  int i;
-  
+int DuplicateStdFile (int sid)
+{
   if (0 != dup2(socketList[sid]->sock, 0)  || 1 != dup2(socketList[sid]->sock, 1))
     return -1;
Index: cpukit/httpd/webcomp.c
===================================================================
--- cpukit/httpd/webcomp.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ cpukit/httpd/webcomp.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -74,6 +74,6 @@
 	char_t			*cp;
 	char			buf[512];
-	unsigned char	*p;
-	int				j, i, len, fd, nFile;
+	char			*p;
+	int			j, i, len, fd, nFile;
 
 /*
@@ -160,6 +160,6 @@
 			continue;
 		}
-		fprintf(stdout, "    { T(\"/%s\"), page_%d, %d },\n", cp, nFile, 
-			sbuf.st_size);
+		fprintf(stdout, "    { T(\"/%s\"), page_%d, %ld },\n", cp, nFile, 
+			(long) sbuf.st_size);
 		nFile++;
 	}
Index: cpukit/httpd/webmain.c
===================================================================
--- cpukit/httpd/webmain.c	(revision c1cdaa0ce8017b075487e6670f89eb4e715258ea)
+++ cpukit/httpd/webmain.c	(revision 3f4b575df0b2ad83bb57b1fa4bfbe5f37f8abcac)
@@ -1,8 +1,10 @@
 /*
- * main.c -- Main program for the GoAhead WebServer (LINUX version)
+ * main.c -- Main program for the GoAhead WebServer (RTEMS version)
  *
  * Copyright (c) Go Ahead Software Inc., 1995-1999. All Rights Reserved.
  *
  * See the file "license.txt" for usage and redistribution license requirements
+ *
+ *  $Id$
  */
 
@@ -21,4 +23,6 @@
 #include	<sys/time.h>
 #include 	<pthread.h>
+
+#include	<rtems/error.h>
 
 /*********************************** Locals ***********************************/
@@ -64,5 +68,5 @@
 /*********************************** Code *************************************/
 /*
- *	Main -- entry point from LINUX
+ *	Main -- entry point from RTEMS
  */
 int rtems_initialize_webserver()
@@ -270,5 +274,8 @@
 void *emfCreateTimer(int delay, void (*routine)(long arg), 	long arg)
 {
+/* this variable is only used in the if'ed 0 section below */
+#if 0
 	struct sigaction	act;
+#endif
 	struct itimerspec its = { {0,0}, {0,0} };
 	struct sigevent se;
